Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155982 - Setup fails detecting 915i gfx card
Summary: Setup fails detecting 915i gfx card
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-26 13:30 UTC by marcel
Modified: 2007-11-30 22:11 UTC (History)
5 users (show)

Fixed In Version: 6.8.2-37
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-01 19:56:06 UTC


Attachments (Terms of Use)
xorg log file (deleted)
2005-04-29 10:20 UTC, marcel
no flags Details

Description marcel 2005-04-26 13:30:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
Anaconda does not detect my intel 915i (Mobile Graphics controller) in my Dell d610 laptop. Anaconda detects it as a VESA card. And getting a black screen when i t's trying to goto graphical mode.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. boot from cd
2. wait till annaconda is finished detecting hardware

  

Actual Results:  black screen

Expected Results:  Getting the GUI

Additional info:

Comment 1 marcel 2005-04-26 13:31:44 UTC
After installing FC3/4test2 using textmode and installing the Intel 815 module
from the intel site. I can use the graphical mode.

Comment 2 Bill Nottingham 2005-04-26 16:04:48 UTC
Can you post the output of lspci?

Comment 3 marcel 2005-04-27 09:57:10 UTC
the output of lspci:

00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express
Processor to DRAM Controller (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML
Express Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 915GM/GMS/910GML Express
Graphics Controller (rev 03)

Comment 4 marcel 2005-04-27 10:11:13 UTC
Stupid me, here is is some more detailed info :)

00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express
Processor to DRAM Controller (rev 03)
        Subsystem: Dell: Unknown device 0182
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort+ >SERR- <PERR-
        Latency: 0
        Capabilities: [e0] Vendor Specific Information

00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML
Express Graphics Controller (rev 03) (prog-if 00 [VGA])
        Subsystem: Dell: Unknown device 0182
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at dff00000 (32-bit, non-prefetchable) [size=512K]
        Region 1: I/O ports at ec38 [size=8]
        Region 2: Memory at c0000000 (32-bit, prefetchable) [size=256M]
        Region 3: Memory at dfec0000 (32-bit, non-prefetchable) [size=256K]
        Capabilities: [d0] Power Management version 2
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:02.1 Display controller: Intel Corporation Mobile 915GM/GMS/910GML Express
Graphics Controller (rev 03)
        Subsystem: Dell: Unknown device 0182
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0
        Region 0: Memory at dff80000 (32-bit, non-prefetchable) [size=512K]
        Capabilities: [d0] Power Management version 2
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-


Comment 5 Bill Nottingham 2005-04-27 15:22:15 UTC
If you just use the stock 'i810' driver, does it work?

Comment 6 G. Krist 2005-04-27 18:10:39 UTC
It DOES work with the dri i810 driver.

Comment 7 Bill Nottingham 2005-04-27 18:16:56 UTC
Does it work with the stock i810 driver shipped with Fedora Core (as opposed to
the one from dri.sf.net)? Am I misunderstanding what you mean by 'dri i810 driver'?

Comment 8 G. Krist 2005-04-27 20:12:56 UTC
Hmm well i used the one from Intel's ftp, I could check the "stock" i810 driver
in fedora, if needed and see the results with that.

Comment 9 Bill Nottingham 2005-04-27 20:22:16 UTC
Yes, please.

Basically:

1) if the stock one doesn't work, then the setup program is doing more-or-less
the right thing, and this can then be closed
2) if the stock one *does* work, we know what to fix to enable detection of it,
so we can then fix that (and then this can be closed.)

:)


Comment 10 Mike A. Harris 2005-04-27 21:02:12 UTC
i915GM is not supported in 6.8.2 and will not work with the stock
FC4 i810 driver.  The autodetection software is doing the right thing
by assigning the "vesa" driver right now.

CVS head contains i915GM support, which will be in X11R7, which will
be in FC5.



Comment 11 G. Krist 2005-04-28 06:27:51 UTC
Oke clear to me. But anaconda still "crashes" using vesa, nothing to do about
that (apart from changing setup params)?

Comment 12 Bill Nottingham 2005-04-28 14:26:38 UTC
Well, if the VESA driver crashes, the fault is either in the VESA driver or in
the VESA emulation of the graphics card. Assigng to the X server for now.

Comment 13 Mike A. Harris 2005-04-28 21:05:08 UTC
If the "vesa" driver fails to provide a working X session, that generally
means it is a video BIOS bug.

In order to diagnose this, we'll need you to perform the following steps:

1) Do a text mode OS install.
2) After installation, reboot and log in as root.
3) Run system-config-display --reconfig
4) Run "startx" to start the X server.

Indicate if this works or not, and attach the X server log file and config
file from after the testing, by using the bugzilla file attachment link
below.



Comment 14 marcel 2005-04-29 10:20:54 UTC
Created attachment 113825 [details]
xorg log file

It seems xorg does run, but only with a black screen. Log file included

Comment 15 Olivier Baudron 2005-08-01 19:49:40 UTC
Can you test 6.8.2-45 ? It has a fix relative to video bios.

Comment 16 Gerwin Krist 2005-08-01 19:56:06 UTC
Oops forget to tell, new xorg does work :)

Comment 17 Andrew Schultz 2005-08-10 04:40:30 UTC
this is certainly not fixed in the current release (of Fedora).

And to answer comment 15, I rebuilt the 6.8.2-45 SRPM and it failed as before in
VESA mode.  I also noticed that hooking up an external monitor and switching the
display to that and then back gets the VESA mode working.

Comment 18 Mike A. Harris 2005-09-14 08:24:49 UTC
marcel:  If you are still experiencing the problem originally reported
using the latest FC update, feel free to reopen the bug and update
with any status/comments that might be helpful.


Note You need to log in before you can comment on or make changes to this bug.